Name:           args4j
Version:        2.33
Release:        6
Summary:        Java command line arguments parser
License:        MIT
URL:            http://args4j.kohsuke.org
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-site-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local mvn(com.sun:tools) mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.kohsuke:pom:pom:) mvn(org.mockito:mockito-all)

Provides:       %{name}-tools = %{version}-%{release} %{name}-parent = %{version}-%{release}
Obsoletes:      %{name}-tools < %{version}-%{release} %{name}-parent < %{version}-%{release}

%description
Args4j is a small Java class library that makes it easy to parse command line options/arguments in
your CUI application.

%package        help
Summary:        Help documents for %{name}
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
Manual for API and other help documents for %{name}.

%prep
%autosetup -n %{name}-%{name}-site-%{version} -p1

sed -i 's/<addClasspath>true/<addClasspath>false/g' %{name}-tools/pom.xml
sed -i 's/<groupId>ant/<groupId>org.apache.ant/g' %{name}-tools/pom.xml

find -name '*.class' -o -name '*.jar' -exec rm -f '{}' \;

%pom_remove_plugin :maven-shade-plugin %{name}-tools
%pom_remove_plugin -r :maven-site-plugin
%pom_xpath_remove "pom:profile[pom:id[text()='jdk-tools-jar']]" %{name}-tools
%pom_add_dep com.sun:tools %{name}
%pom_disable_module args4j-maven-plugin
%pom_disable_module args4j-maven-plugin-example

%mvn_package :args4j-tools::{}: %{name}-tools
%mvn_package :args4j-site::{}: %{name}-parent

%mvn_file ":{*}" %{name}/@1 @1

%build
%mvn_build

%install
%mvn_install

%files
%license %{name}/LICENSE.txt
%_javadir/*
%{_datadir}/maven*/*

%files help
%_javadocdir/%{name}

%changelog
* Sat Dec 14 2019 zhouyihang <zhouyihang1@huawei.com> - 2.33-6
- Package init
